#ifndef __BSPUSART1_H
#define __BSPUSART1_H

#include <stm32f10x.h>

#define USART1_BUFF_LANGTH (32)

typedef struct 
{
	u32 len;
	u16 ind;	
	u8  buf[USART1_BUFF_LANGTH];
}SerialBuffType;//发送暂存区

#define SerialBuffDefault() {\
	0,\
	0,\
	{0},\
}

void USART1_Init(u32 bound);
void BspUsart1Close(void);
void USART1_SendByte(unsigned char c);//串口1发送一个字符
void Usart1_Send(u8 *buf,u8 len);
void BspUsart1IRQCallBack(void *fun);

#endif
